#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.1
visibility:           public
id:                   tree-diff-0.2.1-Ko0htAOnRcb6BlBWKY4IzG
key:                  tree-diff-0.2.1-Ko0htAOnRcb6BlBWKY4IzG
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  c274762bafb3af7afdcdfe1c9653bfa9
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tree-diff-0.2.1
hs-libraries:         HStree-diff-0.2.1-Ko0htAOnRcb6BlBWKY4IzG
depends:
    QuickCheck-2.14.2-BfoEMLXfjuG8uwucLdaI7S
    aeson-1.5.6.0-FCXpoR7la5e15i9FMLdjlO
    ansi-terminal-0.11-6Gleqhns8he7GU06N3aOl3
    ansi-wl-pprint-0.6.9-HO9F6WrjyyJ5MMtPPdSH1M base-4.15.0.0
    base-compat-0.11.2-EfuzzJ3SbjR74eBdJgKfBC bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.3.4.1-8PH3sYtWVv45iE53pOmUfm parsec-3.1.14.0
    parsers-0.12.10-4z9IoYkqH2yHJ167Nescg7 pretty-1.1.3.6
    primitive-0.7.2.0-984pU99uyia2hUwO3CJO8M
    scientific-0.3.7.0-CP2rRIG39lTCDzlWk45agq
    semialign-1.2.0.1-KBMaw52B3NCpGFCI8KjdD
    strict-0.4.0.1-B79zSAuKDr78QJCw1a05p2
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 text-1.2.4.1
    these-1.1.1.1-28W81k4MDKQECdO5Z8riQj time-1.9.3
    unordered-containers-0.2.14.0-4INWEfzekoJLPsSfbAftPl
    uuid-types-1.0.5-3pZt9HPIkF8BxaD4USdIUT
    vector-0.12.3.1-EtdN61cdG6Y4MwC0gVwGz6

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

